<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Subzona{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO subzona (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idsubzona,$nombre,$descripcion){
	$sql="UPDATE subzona SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idsubzona='$idsubzona'";
	return ejecutarConsulta($sql);
}
public function desactivar($idsubzona){
	$sql="UPDATE subzona SET condicion='0' WHERE idsubzona='$idsubzona'";
	return ejecutarConsulta($sql);
}
public function activar($idsubzona){
	$sql="UPDATE subzona SET condicion='1' WHERE idsubzona='$idsubzona'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idsubzona){
	$sql="SELECT * FROM subzona WHERE idsubzona='$idsubzona'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM subzona";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM subzona WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
